# ApplicationLoadBalancerProperties

## Properties

| Name             | Type              | Description                                                                                                                                                                                                               | Notes       |
| ---------------- | ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **ips**          | **List\<String>** | Collection of the Application Load Balancer IP addresses. (Inbound and outbound) IPs of the 'listenerLan' are customer-reserved public IPs for the public load balancers, and private IPs for the private load balancers. | \[optional] |
| **lbPrivateIps** | **List\<String>** | Collection of private IP addresses with the subnet mask of the Application Load Balancer. IPs must contain valid a subnet mask. If no IP is provided, the system will generate an IP with /24 subnet.                     | \[optional] |
| **listenerLan**  | **Integer**       | The ID of the listening (inbound) LAN.                                                                                                                                                                                    |             |
| **name**         | **String**        | The Application Load Balancer name.                                                                                                                                                                                       |             |
| **targetLan**    | **Integer**       | The ID of the balanced private target LAN (outbound).                                                                                                                                                                     |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/java-sdk/models/applicationloadbalancerproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
